GET ForeignApp/default
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
GET /api/v1/ForeignApp/default
Set default values into a new ForeignAppEntity.
NetServer calculates default values on the entity, which is required when creating/storing a new instance Calls the ForeignSystem agent service CreateDefaultForeignAppEntity. NsApiSlow threshold: 5000 ms.
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ForeignAppEntity
| Property Name | Type | Description |
|---|---|---|
| ForeignAppId | int32 | Primary key |
| Name | string | Name of foreign application |
| CreatedDate | date-time | Registered when in UTC. |
| UpdatedDate | date-time | Last updated when in UTC. |
| CreatedBy | Associate | The person that created the foreign application. |
| UpdatedBy | Associate | The person that last updated this foreign application. |
| Devices | array | The devices that belong to this foreign app. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
GET /api/v1/ForeignApp/default
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
Last-Modified: Sat, 02 Oct 2004 14:34:01 G10T
{
"ForeignAppId": 294,
"Name": "Outlook Integration",
"CreatedDate": "2025-10-24T14:34:01.9870942+02:00",
"UpdatedDate": "2004-10-02T14:34:01.9870942+02:00",
"CreatedBy": null,
"UpdatedBy": null,
"Devices": [
{
"ForeignDeviceId": 164,
"Name": "Outlook Integration",
"CreatedDate": "2003-05-04T14:34:01.9870942+02:00",
"UpdatedDate": "2022-10-08T14:34:01.9870942+02:00",
"AssociateFullName": "Wilma Batz",
"CreatedBy": "similique",
"UpdatedBy": "adipisci",
"DeviceIdentifier": "ullam",
"ForeignAppId": 909,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 579
}
}
}
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 758
}
}
}